Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
Operating System - Tru64 Unix
cancel
Showing results for 
Search instead for 
Did you mean: 

4.0F to 5.1B upgrade with HSZ70

SOLVED
Go to solution
Ian Croft
Occasional Contributor

4.0F to 5.1B upgrade with HSZ70

Hi - We have a V4.0F pair of ES40s ( FW 5.5-68 Pal 1.54-2 ) both with KZPBA-CB ( FW Rev 5.57 )connections to a pair of single HSZ70 controllers ( V73Z-0 HW Version H02 and H03 )

We have a requirement to upgrade this to V5.1B so we can get continued support.

My question is two fold.

1) Would you go for a three stage "installupdate" of a fresh install and recovery of data ?

2) How can I find a support matrix that gives me the levels of FW etc that I need to be at to get a fully supportable config ? ( It doesn't seem to be easily retrievable for old kit like this )

Cheers

Ian
7 REPLIES
Rob Leadbeater
Honored Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

Hi Ian,

1) I would go for a fresh install of 5.1B rather than an upgrade.

2) The latest firmware (v7.3) for the ES40 is available here:

http://ftp.digital.com/pub/DEC/Alpha/firmware/index.html

To be fully supported, I guess you'll also want to be looking at changing out your HSZs for something a little newer...

Hope this helps,

Regards,

Rob
Victor Semaska_3
Esteemed Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

Rob is right, go with a fresh install of the OS. Don't try to upgrade. I made several attempts and there were always problems.

Vic
There are 10 kinds of people, one that understands binary and one that doesn't.
Hein van den Heuvel
Honored Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

I woudl also lean to the fresh install if feasible. Then move a bunch of /etc files in place (passwd, group, hosts being the obvious ones). fstab might need on overhaul as the device names will change dramatically for a last time (from rz to dsk)

Then add your tools and databases as needed. That's where it will get tricky. If a bunch of additional products had been installed, then the upgrade route become interesting again.

fwiw,
Hein.

Victor Semaska_3
Esteemed Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

With regards to accounts, if you're using Enhanced Security there's more to it than copying /etc/passwd & /etc/group back. What we did is this:

Before the upgrade:
# /tcb/bin/authck -av
# /tcb/bin/edauth -d p -g > /tmp/p.auth

After the upgrade and copying /etc/passwd & /etc/group back:
# cat /tmp/p.auth | /tcb/bin/edauth -d p -s
# /tcb/bin/authck -av

Vic
There are 10 kinds of people, one that understands binary and one that doesn't.
Ian Croft
Occasional Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

Thanks all - that is was I was expecting - just wanted to test the water. I remember trying an installupdate from 4 to 5 many years ago and believe it had some issues.

I'll log a support call with HP to get the levels of firmware I need to be at for 5.1B and my ageing kit.
Rob Leadbeater
Honored Contributor

Re: 4.0F to 5.1B upgrade with HSZ70

Hi Ian,

This page might help...

http://h18002.www1.hp.com/alphaserver/options/ases40/ases40_ds-hsz70-ah.html

although I'm not sure whether the HSZ70 is still supported on 5.1B. If it is, then it will probably have to be upgraded to the latest version of HSOF which is V77Z-4. But as that kit is end of life, you might struggle to get hold of the required controller cards...

Cheers,

Rob
Martin Moore
HPE Pro
Solution

Re: 4.0F to 5.1B upgrade with HSZ70

The HSZ70 ***IS*** supported in V5.1B. There has been much confusion on this topic in the past. The original V5.1B release notes said that support for the HSZ70 was retired, but this was a documentation error. A correction was published in the May 2003 technical update for V5.1B; the correction is viewable online at http://h30097.www3.hp.com/docs/updates/V51B/html/ar01s07.html#documentation -- see the section labeled "Other Documentation Issues".

As earlier replies have pointed out, you do need to upgrade the HSZ70 to firmware V7.7 in order to be supported on V5.1B. And I also concur that starting with a fresh install would be easier than doing three installupdates.

Hope this helps,
Martin Moore, HP
I work for HP
A quick resolution to technical issues for your HP Enterprise products is just a click away HP Support Center Knowledge-base
See Self Help Post for more details